import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import Cookies from "js-cookie";
import Element from "element-ui";
import "./styles/element-variables.scss";

import axios from "axios";

Vue.prototype.$axios = axios;
Vue.config.productionTip = false;
Vue.use(Element, {
  size: Cookies.get("size") || "small", // set element-ui default size
});
Element.Dialog.props.closeOnClickModal.default = false; // 全局关闭，点击遮罩层关闭弹窗

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
